Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 654513 Details for
Bug 796422
autofs mounts never expire
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
Script to reproduce "autofs never expire" issue
testautofs.sh (text/plain), 1.30 KB, created by
brunoc
on 2012-11-29 19:54:10 UTC
(
hide
)
Description:
Script to reproduce "autofs never expire" issue
Filename:
MIME Type:
Creator:
brunoc
Created:
2012-11-29 19:54:10 UTC
Size:
1.30 KB
patch
obsolete
>#!/bin/sh >fail(){ > echo $* > exit 1 >} >succeed(){ > echo $* >} >echo ---------- test without eject --------- >echo Closing tray... >sudo eject -t /dev/sr0 >echo -n "Waiting for DVD to be recognized" >for ((;;)) >do > echo -n . > ls /usr/BDV/Interfaces/DVD/ 2> /dev/null && break > sleep 1 >done >echo >mount |grep sr0 || fail "sr0 should be mounted now" >echo Restarting autofs... >sudo service autofs restart >mount |grep sr0 && fail "sr0 should be unmounted" >ls /usr/BDV/Interfaces/DVD/ || fail "Should be readable now" >echo 'Waiting for 5s (which is greater than autofs configured timeout of 4 sec)' >sleep 5 >mount |grep sr0 && fail "sr0 should be unmounted!" || succeed "YEAH!!!" > >echo ---------- test with eject --------- >echo Restarting autofs... >sudo service autofs restart >echo Ejecting... >sudo eject /dev/sr0 >mount |grep sr0 && fail "sr0 should be unmounted" >echo Closing tray >sudo eject -t /dev/sr0 >echo -n "Waiting for DVD to be recognized" >for ((;;)) >do > echo -n . > ls /usr/BDV/Interfaces/DVD/ 2> /dev/null && break > sleep 1 >done >echo >echo 'Waiting for 5s (which is greater than autofs configured timeout of 4 sec)' >sleep 5 >mount |grep sr0 || succeed "YEAH!!!" >if (( $? == 0 )) >then > echo Waiting another 5s just in case > sleep 5 > mount |grep sr0 && fail "sr0 should be unmounted!" || succeed "Finally!!!" >fi >
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Raw
Actions:
View
Attachments on
bug 796422
: 654513 |
654514